drill-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Edmon Begoli <ebeg...@gmail.com>
Subject Re: Will drill work with Java SE 8 versions?
Date Fri, 21 Aug 2015 00:22:15 GMT
Right. Did that.

On Thursday, August 20, 2015, Abdel Hakim Deneche <adeneche@maprtech.com>
wrote:

> you'll also need to skip the tests when building:
>
> mvn clean install -DskipTests
>
> On Thu, Aug 20, 2015 at 3:58 PM, Edmon Begoli <ebegoli@gmail.com
> <javascript:;>> wrote:
>
> > I am running it, but for a mvn clean install you'll need to modify the
> > pom.xml file to be:
> > (allows >= 1.7)
> >
> >  <requireJavaVersion>
> >
> >   <version>[1.7,)</version>
> >
> >  </requireJavaVersion>
> >
> >
> > or use range [1.7,1.9)
> >
> > On Thu, Aug 20, 2015 at 6:16 PM, Jim Scott <jscott@maprtech.com
> <javascript:;>> wrote:
> >
> > > From a user perspective I have been running Drill on Java 8 for a year
> > now
> > > and have never had a problem, as a user.
> > >
> > > On Thu, Aug 20, 2015 at 4:51 PM, Jacques Nadeau <jacques@dremio.com
> <javascript:;>>
> > > wrote:
> > >
> > > > I meant "Drill actually works fine on Java 8".
> > > >
> > > > --
> > > > Jacques Nadeau
> > > > CTO and Co-Founder, Dremio
> > > >
> > > > On Thu, Aug 20, 2015 at 2:50 PM, Jacques Nadeau <jacques@dremio.com
> <javascript:;>>
> > > > wrote:
> > > >
> > > > > Drill actually works fine on Drill.  There are a couple failing
> tests
> > > in
> > > > > our very large test suite so we don't state it as included but it
> > > should
> > > > > work fine for you.
> > > > >
> > > > > --
> > > > > Jacques Nadeau
> > > > > CTO and Co-Founder, Dremio
> > > > >
> > > > > On Thu, Aug 20, 2015 at 1:55 PM, Joe Lampe <mojorizin@outlook.com
> <javascript:;>>
> > > > wrote:
> > > > >
> > > > >> I’m looking at the tutorial info, and the prerequisite for
mac
> > lists:
> > > > >>
> > > > >> "Linux, Mac OS X, and Windows: Oracle Java SE Development (JDK)
> Kit
> > 7
> > > > >> installation”
> > > > >>
> > > > >> I’d rather not go to a legacy version of Java.  Does Drill
also
> work
> > > on
> > > > >> the Java SE JDK 8 versions?
> > > > >>
> > > > >> Thanks,
> > > > >>
> > > > >> Joe
> > > > >
> > > > >
> > > > >
> > > >
> > >
> > >
> > >
> > > --
> > > *Jim Scott*
> > > Director, Enterprise Strategy & Architecture
> > > +1 (347) 746-9281
> > > @kingmesal <https://twitter.com/kingmesal>
> > >
> > > <http://www.mapr.com/>
> > > [image: MapR Technologies] <http://www.mapr.com>
> > >
> > > Now Available - Free Hadoop On-Demand Training
> > > <
> > >
> >
> http://www.mapr.com/training?utm_source=Email&utm_medium=Signature&utm_campaign=Free%20available
> > > >
> > >
> >
>
>
>
> --
>
> Abdelhakim Deneche
>
> Software Engineer
>
>   <http://www.mapr.com/>
>
>
> Now Available - Free Hadoop On-Demand Training
> <
> http://www.mapr.com/training?utm_source=Email&utm_medium=Signature&utm_campaign=Free%20available
> >
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message